void main( void )
{
 int &talker;
 &talker = 0;
}

void touch( void )
{
 if (&story > 10)
 {
  move_stop(1, 2, 318, 1);
  say_stop("`9谢谢你给我们饭吃，", &current_sprite);
  say_stop("`9你是大家的救命恩人。", &current_sprite);
  return;
 }
 if (&talker == 1)
 {
  move_stop(1, 2, 318, 1);
  say_stop("`9请走开。", &current_sprite);
  return;
 }
 freeze(1);
 move_stop(1, 2, 318, 1);
 sp_dir(1, 8);
 say_stop("`9你想要干嘛？", &current_sprite);
 choice_start()
(&talker == 0)"想进去"
 "没，没什么"
 choice_end()
  if (&result == 1)
  {
   say_stop("我能进来吗？", 1);
   wait(250);
   say_stop("`9你带吃的了吗？我的孩子们要饿死了！", &current_sprite);
   wait(250);
   say_stop("我...我没带食物，对不起。", 1);
   say_stop("你们为什么会这么饿呢？", 1);
   wait(250);
   say_stop("`9我不该多所了，", &current_sprite);
   say_stop("`9请走吧。", &current_sprite);
   &talker = 1;
  }
 wait(250);
 unfreeze(1); 
}
                   
